Bug 1011616 - (CVE-2013-4367) CVE-2013-4367 ovirt-engine: some config files left world-writable due to improper use of os.chmod()
CVE-2013-4367 ovirt-engine: some config files left world-writable due to impr...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130923,repor...
: Security
Depends On: 1011619
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-24 12:12 EDT by Vincent Danen
Modified: 2014-03-27 04:47 EDT (History)
6 users (show)

See Also:
Fixed In Version: ovirt-engine 3.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-27 04:47:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 19557 None None None Never

  None (edit)
Description Vincent Danen 2013-09-24 12:12:13 EDT
It was found that ovirt-engine would create certain files world-writable (such as /etc/sysconfig/nfs).  This is due to an upstream kernel change [1] which impacts how python's os.chmod() works when passed a mode of '-1'.  Prior to this kernel change, a mode of '-1' would have implied "do nothing", however with the upstream kernel change this will turn all possible bits on (thus making the file world-writable).

As a result, this only affects ovirt-engine (or other python scripts using os.chmod() in this way) with newer Linux kernels (version 3.1 and newer).

This has been in upstream git [2] to fix permissions on installations that upgrade from 3.2.  In 3.3, the entire setup package was rewritten and the copyFile() function (from common_utils.py, where this os.chmod() call is made) has been removed.  As a result, this only affects ovirt-engine 3.2 running on a Linux kernel 3.1+.


[1] https://git.kernel.org/cgit/linux/kernel/git/stable/linux-stable.git/commit/fs/open.c?id=e57712ebebbb9db7d8dcef216437b3171ddcf115
[2] http://gerrit.ovirt.org/#/c/19472/


Acknowledgements:

This issue was discovered by Yedidyah Bar David of Red Hat.
Comment 2 Vincent Danen 2013-09-24 12:15:44 EDT
Statement:

Not vulnerable.  This issue did not affect Red Hat Enterprise Virtualization Manager 3.
Comment 3 Vincent Danen 2013-09-24 12:16:11 EDT
Created ovirt-engine tracking bugs for this issue:

Affects: fedora-all [bug 1011619]
Comment 4 Vincent Danen 2013-10-09 11:58:22 EDT
Another fix noted here: http://gerrit.ovirt.org/#/c/19557/
Comment 5 Alon Bar-Lev 2014-03-26 16:18:39 EDT
Hi,

Can we close this? in 3.3 setup was re-written without using this -1 magic.

Note You need to log in before you can comment on or make changes to this bug.